package cn.ibizlab.businesscentral.core.extensions.service;

import cn.ibizlab.businesscentral.core.odoo_purchase.service.impl.Purchase_order_lineServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.businesscentral.core.odoo_purchase.domain.Purchase_order_line;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[采购订单行] 自定义服务对象
 */
@Slf4j
@Primary
@Service("Purchase_order_lineExService")
public class Purchase_order_lineExService extends Purchase_order_lineServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[Calc_price]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public Purchase_order_line calc_price(Purchase_order_line et) {
        return super.calc_price(et);
    }
    /**
     * 自定义行为[Product_change]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public Purchase_order_line product_change(Purchase_order_line et) {
        return super.product_change(et);
    }
}

